PersistentStateRef
Keywords: net.corda.core.schemas.PersistentStateRef class
Date: 2023-09-18

net.corda.core.schemas

## Class PersistentStateRef

- net.corda.core.schemas.PersistentStateRef

-     @Embeddable
      public class PersistentStateRef

  Embedded `class StateRef` representation used in state mapping.

  See Also:
    `class StateRef`

- - ### Constructor Detail

    - #### PersistentStateRef

          public PersistentStateRef(@NotNull
                                    java.lang.String txId,
                                    int index)

      Embedded `class StateRef` representation used in state mapping.

      See Also:
        `class StateRef`

    - #### PersistentStateRef

          public PersistentStateRef(@NotNull
                                    StateRef stateRef)

  - ### Method Detail

    - #### getTxId

          @NotNull
          public java.lang.String getTxId()

    - #### setTxId

          public void setTxId(@NotNull
                              java.lang.String p)

    - #### getIndex

          public int getIndex()

    - #### setIndex

          public void setIndex(int p)

    - #### component1

          @NotNull
          public java.lang.String component1()

    - #### component2

          public int component2()

    - #### copy

          @NotNull
          public PersistentStateRef copy(@NotNull
                                                  java.lang.String txId,
                                                  int index)

      Embedded `class StateRef` representation used in state mapping.

      See Also:
        `class StateRef`

    - #### toString

          @NotNull
          public java.lang.String toString()

      Embedded `class StateRef` representation used in state mapping.

      See Also:
        `class StateRef`

    - #### hashCode

          public int hashCode()

      Embedded `class StateRef` representation used in state mapping.

      See Also:
        `class StateRef`

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Embedded `class StateRef` representation used in state mapping.

      See Also:
        `class StateRef`